Get Organization General Settings

gethttps://app.fossa.com/api/organizations/{id}/settings/general

Get general settings for an organization

Path parameters

idintegerrequired

Responses

200OK
labelsobject[]
idinteger
labelstring
projectCountinteger
packageLabelsobject[]

The organization's package labels, each with the count of packages it is assigned to.

idinteger
namestring
packageCountinteger
titlestring
emailstring
defaultRoleIdinteger
dependencySignaturesstring
disableNonCustomTeamUserRolesboolean
snippetSourceCodeRetentionDaysinteger

Number of days source code from snippet matches is retained. Must be between 1 and 30.

licenseConcludedEnabledboolean

Whether the license-concluded workflow is enabled for the organization.

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/organizations/1/settings/general
curl --request GET \  --url 'https://app.fossa.com/api/organizations/1/settings/general' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idintegerrequired